Subject: stamets needs help in Oxford

From: [email-masked] (Stamets 1)
Date: 11 Sep 1995 15:49:08 -0400

Fungi Folks

I am attending the International Congress on Mushroom Science in
Oxford, England from 9/16-9/22 and need part-time assistance. If
anyone else is attending and can help for a few hours a day, I would
be delighted. Please e-mail me and we can work out the particulars. 

paul stamets